Project

General

Profile

Bug #2834

[cups-filters][tokyocabinet]: Signature is unkown trust

rfb - 3 months ago - . Updated 2 months ago.

Status:
fixed
Priority:
bug
Assignee:
% Done:

100%


Description

I tried to install packages cups and cups-pdf. The dependency cups-filters could not be installed:

error: cups-filters: signature from "Andreas Grapentin <andreas@grapentin.org>" is unknown trust
:: File /var/cache/pacman/pkg/cups-filters-1.27.5-1.parabola2-x86_64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n]
error: failed to commit transaction (invalid or corrupted package (PGP signature))

I refreshed both the whole keyring and the particular key from that maintainer following step 1 in the Wiki to no avail.


Files

key (12.6 KB) key Andreas Grapentin key from http://keys.gnupg.net/ nona, 2020-07-19 11:49 PM

History

#1

Updated by bill-auger 3 months ago

andreas has just extended his key expiratiweeoeon - the keyring will be rebuilt soon

to install hos packages today you can run this command:

$ sudo pacman-key --refresh-keys andreas@grapentin.org

note that the email address is taken from the error message - this is the general solution whenever you see an error of that form

#2

Updated by bill-auger 3 months ago

  • Assignee set to oaken-source
  • Status changed from unconfirmed to in progress
#3

Updated by rfb 3 months ago

Thanks, refreshing Andreas’ key again worked.

#4

Updated by bill-auger 3 months ago

  • Assignee changed from oaken-source to bill-auger

it does not work consistently though - the updated key has not yet propagated to all key-servers - it may be another day until the keyring has the updated key - i rebuilt cups-filters instead, to satisfy this ticket

#5

Updated by bill-auger 3 months ago

  • Status changed from in progress to fixed
#6

Updated by jschwart 3 months ago

I'm running into this issue as well. I ran the refresh keys command at least 20 times, but it's not working yet.

#7

Updated by bill-auger 3 months ago

jschwart -

which package exactly? - there should be no problem with cups-filters now

if it was 'licenses', i just rebuilt that one too - do let me know if there are others

#8

Updated by nona 2 months ago

I'm having a similar situation with tokyocabinet (from libretools). I keep getting

pacman-key --refresh-keys andreas@grapentin.org
gpg: refreshing 1 key from hkps://hkps.pool.sks-keyservers.net
gpg: keyserver refresh failed: Operation not permitted
==> ERROR: A specified local key could not be updated from a keyserver.

I also tried with

sudo pacman-key -a /tmp/key

(key is attached).

#9

Updated by bill-auger 2 months ago

  • Status changed from fixed to confirmed
  • Subject changed from [cups-filters] Signature is unkown trust to [cups-filters][tokyocabinet]: Signature is unkown trust

'cups-filters' is rebuilt - i will re-open this for 'tokyocabinet'

#10

Updated by bill-auger 2 months ago

  • Status changed from confirmed to fixed

tokyocabinet is rebuilt

#11

Updated by nona 2 months ago

  • % Done changed from 0 to 100

Thank you, bill! I was able to install `libretools' (and `tokyocabinet').

Also available in: Atom PDF